---
layout: documentation
title: Installing Bazel
---

# Installing Bazel

The Bazel team officially supports Bazel on these platforms:

*   [Ubuntu Linux](install-ubuntu.md)
*   [macOS](install-os-x.md)
*   [Windows](install-windows.md)

## Community-supported packages

Bazel community members maintain these packages. The Bazel team doesn't
officially support them. Contact the package maintainers for support.

*   [Arch Linux](https://www.archlinux.org/packages/community/x86_64/bazel/)
*   [Fedora 25, 26, 27, 28, and CentOS 7](install-redhat.md)
*   [CentOS 6](https://github.com/sub-mod/bazel-builds)
*   [FreeBSD](https://www.freshports.org/devel/bazel)
*   [Gentoo](https://packages.gentoo.org/packages/dev-util/bazel)
*   [Linuxbrew](https://github.com/Linuxbrew/homebrew-core/blob/master/Formula/bazel.rb)
*   [Nixpkgs](https://github.com/NixOS/nixpkgs/blob/master/pkgs/development/tools/build-managers/bazel)
*   [openSUSE](install-suse.md)
*   [Parabola](https://www.parabola.nu/packages/?q=bazel)
*   [Scoop](https://github.com/scoopinstaller/scoop-main/blob/master/bucket/bazel.json)

## Community-supported architectures

*   [ppc64el](https://oplab9.parqtec.unicamp.br/pub/ppc64el/bazel)

For other platforms, you can try to [compile from source](install-compile-source.md).
